Skip to main content
POST
/
checkout
/
create-payment-intent
Create Payment Intent
curl --request POST \
  --url https://api.nuwebgroup.com/v1/checkout/create-payment-intent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "basketId": 1,
  "uuid": "UUID123",
  "cardPresent": false,
  "interacPresent": false
}
'
{
  "publishableKey": "somePublishableKey",
  "clientSecret": "someClientSecret",
  "paymentIntentId": "somePaymentIntentId",
  "connectedStripeAccountId": "someConnectedStripeAccountId",
  "transactionId": "123"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Body

application/json

Request body creating a payment intent.

basketId
integer

The ID of the basket. Basket IDs and Order IDs can be used interchangeably.

uuid
string

Optional idempotency key.

cardPresent
boolean

Accept in-person card payments.

interacPresent
boolean

Accept Interac cards (CA only). Card present is automatically true if this is true.

paymentSplits
object[]

Breakdown of payments when using the 'split' payment method. The sum of all splits must equal the order total.

paymentPlan
object

A payment plan object. This is currently only applicable for the processing of deposit payments.

Example:
{ "type": "deposit" }

Response

Successfully created payment intent.

paymentGateway
string

The identifier for the payment gateway. Accepted values: 'stripe'. Default: 'stripe'

publishableKey
string
clientSecret
string
paymentIntentId
string
connectedStripeAccountId
string
transactionId
string

The transaction ID from our database. Forward this to the complete order endpoint as transactionId. If you want complete-order to perform gateway capture in the same call, also pass capture=true. This remains mandatory for split payments.